// Code generated by go-swagger with a rednerd template; DO NOT EDIT.

// Copyright Orus.io team

package auth

import (
	"net/http"

	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promhttp"
)

var (
	registerHandlerDuration = prometheus.NewSummaryVec(
		prometheus.SummaryOpts{
			Name:       "rednerd_api_handler",
			Help:       "The handlers duration and count.",
			Objectives: map[float64]float64{0.9: 0.01, 0.95: 0.01, 0.99: 0.001},
			ConstLabels: map[string]string{
				"service": "register",
			},
		},
		[]string{"code"},
	)

	registerHandlerInFlight = prometheus.NewGauge(
		prometheus.GaugeOpts{
			Name: "rednerd_api_handler_in_flights",
			Help: "The number of handlers currently running.",
			ConstLabels: map[string]string{
				"service": "register",
			},
		},
	)
)

func RegisterInstrumentHandler(handler http.Handler) http.Handler {
	return promhttp.InstrumentHandlerInFlight(registerHandlerInFlight,
		promhttp.InstrumentHandlerDuration(registerHandlerDuration,
			handler,
		),
	)
}

func init() {
	prometheus.MustRegister(
		registerHandlerDuration,
		registerHandlerInFlight,
	)
}
